Agora RTC Objective-C API Reference Refactor

Properties
AgoraBeautyOptions Class Reference

Inherits <NSObject>.

## Properties
AgoraLighteningContrastLevel | lighteningContrastLevel
float | lighteningLevel
float | smoothnessLevel
float | rednessLevel
float | sharpnessLevel

## Detailed Description

The image enhancement options in [setBeautyEffectOptions]([AgoraRtcEngineKit setBeautyEffectOptions:options:]).

## Property Documentation

## ◆ lighteningContrastLevel

- (AgoraLighteningContrastLevel) lighteningContrastLevel
| read write nonatomic assign

The lightening contrast level

[AgoraLighteningContrastLevel](AgoraLighteningContrastLevel), used with the lighteningLevel property:

- 0: Low contrast level.
- 1: (Default) Normal contrast level.
- 2: High contrast level.

## ◆ lighteningLevel

- (float) lighteningLevel
| read write nonatomic assign

The brightness level.

The default value is 0.7. The value ranges from 0.0 (original) to 1.0.

## ◆ smoothnessLevel

- (float) smoothnessLevel
| read write nonatomic assign

The smoothness level.

The default value is 0.5. The value ranges from 0.0 (original) to 1.0. This parameter is usually used to remove blemishes.

## ◆ rednessLevel

- (float) rednessLevel
| read write nonatomic assign

The redness level.

The default value is 0.1. The value ranges from 0.0 (original) to 1.0. This parameter adjusts the red saturation level.

## ◆ sharpnessLevel

- (float) sharpnessLevel
| read write nonatomic assign

The sharpness level.

The default value is 0.1. The value ranges from 0.0 (original) to 1.0.